Skip to main content
GET
/
merchant-sub-merchant-list
List sub-merchants
curl --request GET \
  --url https://cool.jobmojito.com/functions/v1/merchant-sub-merchant-list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://cool.jobmojito.com/functions/v1/merchant-sub-merchant-list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://cool.jobmojito.com/functions/v1/merchant-sub-merchant-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "contact_person": "<string>",
      "contact_email": "<string>",
      "billing_country": "<string>",
      "business_type": "<string>",
      "image_logo_url": "<string>",
      "frontend_domain": "<string>",
      "interview_frontend_domain": "<string>",
      "register_domain": "<string>",
      "info_notes": "<string>",
      "merchant_features": "<unknown>",
      "interview_subscription_status": "<string>",
      "interview_subscription_type": "<string>",
      "stripe_interview_subscription_start": "<string>",
      "consumer_webanalytics": "<string>",
      "interview_webanalytics": "<string>",
      "admin_profiles": "<unknown>",
      "users": "<unknown>",
      "interview_count": 123,
      "interview_latest": "<string>",
      "credits_used_30d": 123,
      "credits_used_total": 123,
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "total": 137,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}
{
"error": "Field is required.",
"name": "interview_result_id"
}
{
"error": "Field is required.",
"name": "interview_result_id"
}
{
"error": "Field is required.",
"name": "interview_result_id"
}
{
"error": "Field is required.",
"name": "interview_result_id"
}

Authorizations

Authorization
string
header
required

Supabase JWT — Authorization: Bearer <token>.

Query Parameters

merchant_id
string<uuid>

Optional merchant to scope to. Admins and sub-merchant operators only; other callers always use their token's merchant.

Example:

"28106cba-1c27-4e53-b149-32113e5e8e31"

order_by
enum<string>
default:created_at_newest

Sort order of the result set.

Available options:
name,
created_at_newest,
created_at_oldest
Example:

"created_at_newest"

filter_text
string

Case-insensitive search on the sub-merchant name.

limit
integer
default:50

Maximum number of records to return (1–1000).

Required range: 1 <= x <= 1000
Example:

50

offset
integer | null
default:0

Number of records to skip from the start of the result set.

Required range: x >= 0
Example:

0

Response

A page of sub-merchants with pagination metadata.

data
object[]
required

The sub-merchants the caller administers for this page.

pagination
object
required